%define major 26
%define libname %mklibname exiv2_ %major
%define libdev %mklibname exiv2 -d

Summary:	Command line tool to access EXIF data in image files
Summary(de):	Kommandozeilenprogramm mit Zugriff auf die Zusatzdaten von Bildern
Name:		exiv2
Version:	0.26
Release:	%mkrel 1
License:	GPL
Group:		Graphics
Url:		http://www.exiv2.org/
Source: http://www.exiv2.org/%name-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: doxygen 
BuildRequires: graphviz
BuildRequires: python
BuildRequires: xsltproc
BuildRequires: expat-devel
BuildRequires: zlib1-devel

%description
Exiv2 is a command line utility to access image metadata:
* print the Exif metadata of JPEG, TIFF and several RAW image formats as
  summary info, interpreted values, or the plain data for each tag
* print the IPTC metadata of JPEG images
* print, set and delete the JPEG comment of JPEG images
* set, add and delete Exif and IPTC metadata of JPEG images
* adjust the Exif timestamp (that's how it all started...)
* rename Exif image files according to the Exif timestamp
* extract, insert and delete Exif metadata, IPTC metadata and JPEG comments
* extract, insert and delete the thumbnail image embedded in the Exif metadata
* fix the Exif ISO setting of picture taken with Nikon cameras
   
#german
%description -l de
Die Exiv2 Sammlung unterstützt vollen Lese- und Schreibzugriff auf die Exif 
und IPTC Zusatzdaten eines Bildes durch Exiv2 Schlüssel und Standard C++ 
iterators (Beispiel 1, Beispiel 2, Beispiel 3, Beispiel 4eine schnelle IPTC 
Anwendung die sich nicht auf die anderen gespeicherten Informationen (z.B. 
von Photoshop) auswirkt. 
Exif unterstützt MakerNote- MakerNote Daten können benutzt werden, um wie 
die anderen Exif Zusatzdaten-ein ausgeklügelter Schreib-Algorithmus vermeidet 
fehlerhafte MakerNote:1) Das MakerNote wird nicht zurückgesetzt, wenn die 
Möglichkeit für alle besteht, und2) MakerNote lfd Abgleiche können zurück 
berechnet werden, wenn das MakerNote verschoben werden soll (für bekannte 
lfd MakerNotes) Extrahieren und löschen Methoden für Exif Thumbnails (beides, 
JPEG und TIFF Thumbnails) Erstellenmethode für Exif Thumbnails (nur JPEG, 
TIFF. Thumbnails können individuelle Informationen enthalten) komplette 
API Dokumentation (von Doxygen) Exiv2 ist ein Kommandozeilenprogramm für 
das Drucken der Exif Zusatzdaten von JPEG, TIFF und verschiedenen RAW Bilder 
Formaten wie Übersichtsinfo. Auf Interpretation achten, oder die vollständigen 
Daten für jede Zusatzdatei (ein Beispiel hierfür) Drucken der IPTC Zusatzdaten 
von JPEG Bildern Drucken, setzen und löschen des JPEG Kommentars von JPEG 
Bildern setzen, hinzufügen und löschen von Exif und IPTC Zusatzdaten von 
JPEG Bildern Einrichten vom Exif Zeitstempel ( der Grund warum alles begann…) 
umbenennen von Exif Bildern infolge des Exif Zeitstempels Extrahieren, 
einfügen und löschen von Exif Zusatzdaten, IPTC Zusatzdaten und JPEG 
Kommentare Extrahieren, einfügen und löschen der Thumbnail Bilder die in 
den Exif Zusatzdaten eingebettet sind beheben der Exif/ISO Informationen 
von Bildern die mit Nikon Kameras gemacht wurden. 

#-------------------------------------------------------------------------

%package -n %libname
Summary:	Library to access EXIF data in image files
Summary(de):    Bibliothek für den Zugriff auf EXIF Daten in Bilder
Group:		Graphics
 
%description -n %libname
libexiv2 is a C++ library to access image metadata. libexiv2 is free
software.

The Exiv2 library provides:
* full read and write access to the Exif and IPTC metadata of
  an image through Exiv2 keys and standard C++ iterators
* a smart IPTC implementation that does not affect data that
  programs like Photoshop store in the same image segment
* Exif MakerNote support:
      o MakerNote tags can be accessed just like any other Exif metadata
      o a sophisticated write algorithm avoids corrupting the MakerNote:
          1) the MakerNote is not re-located if possible at all, and
          2) MakerNote Ifd offsets are re-calculated if the MakerNote 
             needs to be moved (for known Ifd MakerNotes)
* extract and delete methods for Exif thumbnails (both, JPEG and TIFF
  thumbnails)
* set methods for Exif thumbnails (JPEG only, TIFF thumbnails can be
  set from individual tags)
* complete API documentation (by Doxygen)
    
#german
%description -n %libname -l de
Die Exiv2 Sammlung unterstützt vollen Lese- und Schreibzugriff auf die Exif 
und IPTC Zusatzdaten eines Bildes durch Exiv2 Schlüssel und Standard C++ 
iterators (Beispiel 1, Beispiel 2, Beispiel 3, Beispiel 4eine schnelle IPTC 
Anwendung die sich nicht auf die anderen gespeicherten Informationen (z.B. 
von Photoshop) auswirkt. 
Exif unterstützt MakerNote- MakerNote Daten können benutzt werden, um wie 
die anderen Exif Zusatzdaten-ein ausgeklügelter Schreib-Algorithmus vermeidet 
fehlerhafte MakerNote:1) Das MakerNote wird nicht zurückgesetzt, wenn die 
Möglichkeit für alle besteht, und2) MakerNote lfd Abgleiche können zurück 
berechnet werden, wenn das MakerNote verschoben werden soll (für bekannte 
lfd MakerNotes) Extrahieren und löschen Methoden für Exif Thumbnails (beides, 
JPEG und TIFF Thumbnails) Erstellenmethode für Exif Thumbnails (nur JPEG, 
TIFF. Thumbnails können individuelle Informationen enthalten) komplette 
API Dokumentation (von Doxygen) Exiv2 ist ein Kommandozeilenprogramm für 
das Drucken der Exif Zusatzdaten von JPEG, TIFF und verschiedenen RAW Bilder 
Formaten wie Übersichtsinfo. Auf Interpretation achten, oder die vollständigen 
Daten für jede Zusatzdatei (ein Beispiel hierfür) Drucken der IPTC Zusatzdaten 
von JPEG Bildern Drucken, setzen und löschen des JPEG Kommentars von JPEG 
Bildern setzen, hinzufügen und löschen von Exif und IPTC Zusatzdaten von 
JPEG Bildern Einrichten vom Exif Zeitstempel ( der Grund warum alles begann…) 
umbenennen von Exif Bildern infolge des Exif Zeitstempels Extrahieren, 
einfügen und löschen von Exif Zusatzdaten, IPTC Zusatzdaten und JPEG 
Kommentare Extrahieren, einfügen und löschen der Thumbnail Bilder die in 
den Exif Zusatzdaten eingebettet sind beheben der Exif/ISO Informationen 
von Bildern die mit Nikon Kameras gemacht wurden. 

#--------------------------------------------------------------------------

%package -n %{libdev}
Summary: 	Headers and links to compile against the "%{libname}" library
Summary(de):	Entwicklerdateien für %{libname} Bibliothek
Requires: 	%{libname} = %{version}
Requires:       multiarch-utils
Provides:	libexiv-devel = %{version}
BuildRequires:  zlib1-devel
Group:		Development/C

%description -n %{libdev}
This package contains all files which one needs to compile programs using
the "%{libname}" library.

#german
%description -n %{libdev} -l de
Beinhaltet die Headerdateien zum erstellen von Anwendungen basierend auf 
%{libname} Bibliothek.

#-----------------------------------------------------------------------

%package doc
Summary: Exiv2 library documentation
Summary(de): Hilfe zu der Exiv2 Bibliothek
Group: Books/Computer books
BuildArch:	noarch

%description doc
Exiv2 library documentation.

#german
%description doc -l de
Hilfe zu der Exiv2 Bibliothek.

%prep
%setup -q -n %{name}-%{version}


%build

export CPPFLAGS="-DBanAllEntityUsage=1"
export MAKEFILES_TYPE='Unix Makefiles'
%cmake -G "$MAKEFILES_TYPE" \
      -DEXIV2_ENABLE_SHARED=ON \
      -DEXIV2_ENABLE_XMP=ON \
      -DEXIV2_ENABLE_LIBXMP=ON \
      -DEXIV2_ENABLE_PNG=ON \
      -DEXIV2_ENABLE_NLS=ON \
      -DEXIV2_ENABLE_PRINTUCS2=ON \
      -DEXIV2_ENABLE_LENSDATA=ON \
      -DEXIV2_ENABLE_COMMERCIAL=OFF \
      -DEXIV2_ENABLE_BUILD_SAMPLES=OFF \
      -DEXIV2_ENABLE_BUILD_PO=ON \
      -DEXIV2_ENABLE_VIDEO=OFF \
      -DEXIV2_ENABLE_WEBREADY=OFF \
      -DEXIV2_ENABLE_CURL=OFF \
      -DEXIV2_ENABLE_SSH=OFF 
%make
%install
rm -rf %buildroot
%makeinstall_std -C build

%find_lang exiv2
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%files  -f %{name}.lang
%doc COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{libdev}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/*
%{_includedir}/%{name}/

%files doc
%defattr(-,root,root)
%doc doc/ChangeLog doc/cmd.txt doc/include doc/index.html doc/templates


%changelog
* Sun Jul 08 2018 adrianomorselli <adrianomorselli> 0.26-1uplos2018
- update
